#
# Cookbook:: pf_chef_app_ifpxml
# Recipe:: amx_jobs_prod
#
# Copyright:: 2021, PubFactory, All Rights Reserved.

client_name = 'ifpxml'
site_name = 'ifpxml'
site_type = 'amx_web'
site_env  = 'prod'
service_name = "#{site_name}-amx-#{site_env}"
service_dir = "/var/lib/#{service_name}"
auth_token = node['github_token']

pubfactory_amx_web service_name do
  http_port 80
  https_port 443
  newrelic_app_name 'ifpxml - ifpxml - AMX WEB'
  newrelic_account 'prod'
  tomcat_version tomcat_version '7.0.108'
end

remote_file "#{service_dir}/shared/classes/config-amx.properties" do
  source "https://raw.githubusercontent.com/pubfactory/pf-app-config/master/client/#{client_name}/#{site_name}/#{site_env}/#{site_type}/config-amx.properties"
  use_last_modified false
  owner 'pubfactory'
  group 'pubfactory'
  mode '0644'
  headers('Authorization' => "token #{auth_token}")
  action :create
end

## This looks weird but matches production
remote_file "#{service_dir}/shared/classes/config-app.properties" do
  source "https://raw.githubusercontent.com/pubfactory/pf-app-config/master/client/#{client_name}/#{site_name}/#{site_env}/#{site_type}/config-amx.properties"
  use_last_modified false
  owner 'pubfactory'
  group 'pubfactory'
  mode '0644'
  headers('Authorization' => "token #{auth_token}")
  action :create
end

directory "#{service_dir}/shared/classes/amxlogo" do
  owner 'pubfactory'
  group 'pubfactory'
  mode '0755'
end

## This looks weird but matches production
remote_file "#{service_dir}/shared/classes/amxlogo/ifpxml_logo.png" do
  source "https://raw.githubusercontent.com/pubfactory/pf-app-config/master/client/#{client_name}/#{site_name}/#{site_env}/#{site_type}/ifpxml_logo.png"
  use_last_modified false
  owner 'pubfactory'
  group 'pubfactory'
  mode '0644'
  headers('Authorization' => "token #{auth_token}")
  action :create
end
