#
# Cookbook:: pf_chef_app_ifpxml
# Recipe:: mgmt_dev
#
# Copyright:: 2021, PubFactory, All Rights Reserved.

client_name = 'ifpxml'
site_name = 'ifpxml'
site_type = 'mgmt'
site_env  = 'dev'
service_name = "#{site_name}-#{site_type}-#{site_env}"
service_dir = "/var/lib/#{service_name}"
source_dir = "/proj/source/#{site_name}-#{site_env}"
staticfiles_dir = "/proj/staticfiles/#{site_name}-#{site_env}"
auth_token = node['github_token']

pubfactory_mgmt service_name do
  http_port 83
  https_port 446
  elastic_apm_app_name 'ifpxml-mgmt-dev'
  tomcat_version '7.0.108'
end

remote_file "#{service_dir}/shared/classes/admin.properties" do
  source "https://raw.githubusercontent.com/pubfactory/pf-app-config/master/client/#{client_name}/#{site_name}/#{site_env}/#{site_type}/admin.properties"
  use_last_modified false
  owner 'pubfactory'
  group 'pubfactory'
  mode '0644'
  headers('Authorization' => "token #{auth_token}")
  action :create
end

# Cross definitions here, so just ensure that they exist, and don't worry about perms or such.
# This cookbook depends upon the existence of these folders, but absolutely does not own them.

directory source_dir
directory staticfiles_dir

remote_file "#{source_dir}/manifest.xml" do
  source "https://raw.githubusercontent.com/pubfactory/pf-app-config/master/client/#{client_name}/#{site_name}/#{site_env}/#{site_type}/manifest.xml"
  use_last_modified false
  owner 'pubfactory'
  group 'pubfactory'
  mode '0644'
  headers('Authorization' => "token #{auth_token}")
  action :create
end

remote_file "#{source_dir}/content-export.xml" do
  source "https://raw.githubusercontent.com/pubfactory/pf-app-config/master/client/#{client_name}/#{site_name}/#{site_env}/#{site_type}/content-export.xml"
  use_last_modified false
  owner 'pubfactory'
  group 'pubfactory'
  mode '0644'
  headers('Authorization' => "token #{auth_token}")
  action :create
end
